From 2bcbc6ecf97c003e53bfae3d4abab0e8c15d12b8 Mon Sep 17 00:00:00 2001
From: Joel Grunbaum <joelgrun@gmail.com>
Date: Sun, 29 Nov 2020 11:52:50 +0000
Subject: [PATCH] fixed comments for change

---
 main.sh |   37 +++++++++++++++++++------------------
 1 files changed, 19 insertions(+), 18 deletions(-)

diff --git a/main.sh b/main.sh
index 1cd4aef..c460d78 100755
--- a/main.sh
+++ b/main.sh
@@ -47,12 +47,9 @@
 # Usage: build_pkg [package name] [-f force]
 function build_pkg {
 	#check if PKGBUILD has updated, don't rebuild if hasn't changed
-	if [[ -n "$(git pull | grep 'Already up to date.')" && -z "$(grep 'pkgver[[:space:]]() {' PKGBUILD)" && -z "$2" ]]; then
+	if [[ -n $(git pull | grep 'Already up to date.') && -z $(grep 'pkgver() {' PKGBUILD) && -z "$2" ]]; then
 		return 2
 	fi
-
-	#remove old versions before build
-	rm -f *$1*.tar.*
 
 	#make and force rebuild if is git package
 	# Mictosoft fonts have problems with checksums and need a seperate argument
@@ -60,26 +57,40 @@
 		"$1" == "ttf-office-2007-fonts" ||
 		"$1" == "ttf-ms-win8" ||
 		"$1" == "ttf-win7-fonts" ]]; then
-		makepkg -s --noconfirm $([[ $CLEAN == "Y" ]] && echo "-c") $([[ $SIGN == "Y" ]] && echo "--sign --key $KEY") $([[ "$2" == "-f" ]] && echo -f) --skipchecksums
+		makepkg -s --noconfirm $([[ $CLEAN == "Y" ]] && echo "-c") $([[ $SIGN == "Y" ]] && echo "--sign --key $KEY") $([[ "$2" == "-f" ]] && echo -f) --skipchecksums 2>&1
 	else
 		makepkg -s --noconfirm $([[ $CLEAN == "Y" ]] && echo "-c") $([[ $SIGN == "Y" ]] && echo "--sign --key $KEY") $([[ "$2" == "-f" ]] && echo -f) 2>&1
 	fi
-	if [[ $? != 0 ]]; then
+	if [[ $? != 0  && $? != 13 ]]; then
 		#Register error
 		echo $1 >> $ERRORFILE
 		return 1
 	fi
 
+	#Remove old packages from build directory
+	source PKGBUILD
+	srcdir="$(pwd)/src"
+	ver=$(pkgver)
+	find . -mindepth 1 -maxdepth 1 -type f \( -name "*.pkg.tar.*" -o -name "*.src.tar.*" \) -not -name "*$ver-$pkgrel*" -delete
+	
 	#Get build artifact names from PKGBUILD and build artifacts
 	#Remove duplicates from the list
-	source PKGBUILD
-	pkgs=()
 	ipkgs=()
 	for i in ${pkgname[@]}; do
 		#pkgs+=("$i-$pkgver-$pkgrel")
 		ipkgs+=($(find . -mindepth 1 -maxdepth 1 -type f \( -name "$i*.pkg.tar.*" -o -name "$i*.src.tar.*" \) -not -name "*.sig" | sed 's/^\.\///'))
 	done
 	while read -r -d '' x; do pkgs+=("$x"); done < <(printf "%s\0" "${ipkgs[@]}" | sort -uz)
+
+	# Weird exceptions
+	if [[ "$1" == "zoom" ]]; then
+		rm zoom*_orig*
+		for i in ${pkgs[@]}; do
+			if [ -z "${i##*_orig*}" ]; then
+				pkgs=(${pkgs[@]/$i})
+			fi
+		done
+	fi
 
 	#Move package to repodir and add to repo db
 	#Dont change the database if rebuilt the same package at same release and version
@@ -97,16 +108,6 @@
 		done
 	else 
 		return;
-	fi
-
-	# Weird exceptions
-	if [[ "$1" == "zoom" ]]; then
-		rm zoom*_orig*.pkg.tar.xz
-		for i in ${pkgs[@]}; do
-			if [ -z "${i##*orig*}" ]; then
-				pkgs=${pkgs[@]/$i}
-			fi
-		done
 	fi
 
 	# Add package to waiting list to be added to repo db

--
Gitblit v1.9.3